uk.ac.starlink.fits

## Enum FitsTableWriter.VarArrayMode

- java.lang.Object
- - java.lang.Enum<FitsTableWriter.VarArrayMode>
  - - uk.ac.starlink.fits.FitsTableWriter.VarArrayMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FitsTableWriter.VarArrayMode>
  Enclosing class:
    FitsTableWriter

      public static enum FitsTableWriter.VarArrayMode
      extends java.lang.Enum<FitsTableWriter.VarArrayMode>

  Enumeration for variable-length array value storage options. Usually just `TRUE` and `FALSE` will be used, `P` and `Q` are rather special interest.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FALSE` All arrays are stored as fixed-length in the body of the table.
    `P` Variable-length arrays are stored on the heap, using a 32-bit pointer size ('P' array descriptor) for indirection.
    `Q` Variable-length arrays are stored on the heap, using a 64-bit pointer size ('Q' array descriptor) for indirection.
    `TRUE` Variable-length arrays are stored on the heap, using a suitable pointer size for indirection.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FitsTableWriter.VarArrayMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FitsTableWriter.VarArrayMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FALSE

          public static final FitsTableWriter.VarArrayMode FALSE

      All arrays are stored as fixed-length in the body of the table.

    - #### TRUE

          public static final FitsTableWriter.VarArrayMode TRUE

      Variable-length arrays are stored on the heap, using a suitable pointer size for indirection.

    - #### P

          public static final FitsTableWriter.VarArrayMode P

      Variable-length arrays are stored on the heap, using a 32-bit pointer size ('P' array descriptor) for indirection.

    - #### Q

          public static final FitsTableWriter.VarArrayMode Q

      Variable-length arrays are stored on the heap, using a 64-bit pointer size ('Q' array descriptor) for indirection.

  - ### Method Detail

    - #### values

          public static FitsTableWriter.VarArrayMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FitsTableWriter.VarArrayMode c : FitsTableWriter.VarArrayMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FitsTableWriter.VarArrayMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null